
## Internet flowchart

```mermaid
flowchart TD

    LXD["lxd.home.arpa\nJapan"]
    LXD --> CONTAINERS{"Containers *.benpro.fr"}
    CONTAINERS --> MULLVAD[Mullvad VPN\nJapan]
    MULLVAD --> CF[Cloudflare\nArgo Tunnel]
    CF --> INTERNET[Internet]

    MANUAL[Manual setup\nDocker+Mailcow] --> MAIL
    MAIL[mail.benpro.fr] --> HETZNER[Hetzner\nFinland]
    HETZNER --> INTERNET

    DNS[dns.benpro.fr] --> EC2[AWS EC2\nJapan]
    EC2 --> INTERNET

    PYINFRA[pyinfra] --> |Infrastructure as code| DNS
    PYINFRA[pyinfra] --> |Infrastructure as code| LXD

    YOU[Curious visitor] --> INTERNET
```

## Backups flowchart

```mermaid
flowchart TD

    DESKTOP["chiisai.home.arpa\nJapan"] --> |borg| BORGBASEUSA
    DESKTOP --> |borg| BORGDANIEL

    LXD["lxd.home.arpa\nJapan"] --> |lxd export| HDD
    HDD --> |borg| BORGBASEUSA[borgbase.com\nUSA]
    HDD --> |borg| BORGDANIEL[TODO: chown.me\nCanada]

    MAIL[mail.benpro.fr] --> |borg| BORGBASEDE[borgbase.com\nGermany]
    MAIL --> |borg| BORGDANIEL
```